RPM Support - Test #4943
Test # 4942 (CLOSED - COMPLETE): [EPIC] - Pulp2 - 2.20

ISO repo copy can lead to a duplicates in a target repo and corrupted manifest
06/10/2019 02:34 PM - bherring

Status: CLOSED - COMPLETE

Priority: High

Assignee: bherring

Category:

Sprint/Milestone: 2.20.0

Version: Tags:

Platform Release: 2.20.0 Sprint:

Description

$ echo pizza>food

$ pulp-admin -u admin -p admin iso repo uploads upload —--repo-id zoo-iso —-f food
$ pulp-admin iso repo copy —--from-repo-id zoo-iso —--to-repo-id zoo-iso-2

$ echo burritos>food

$ pulp-admin -u admin -p admin iso repo uploads upload —--repo-id zoo-iso -f food
$ pulp-admin iso repo copy --from-repo-id zoo-iso --to-repo-id zoo-iso-2

$ pulp-admin iso repo list

Warning: path should have mode 0700 because it may contain sensitive information: /home/ipanova/.p
ulp/

o +
ISO Repositories
o +
Id: z00—1so
Display Name: None
Description: None
Content Unit Counts:
Iso: 1
Id: z00—-1s0-2
Display Name: None
Description: None
Content Unit Counts:
Iso: 2
(reverse—i—-search) "cat': ~Ct food
[ipanova@ina pulp_rpm]$ pulp-admin iso repo isos —--repo-id zoo-iso-2

Warning: path should have mode 0700 because it may contain sensitive information: /home/ipanova/.p
ulp/

Name : food
Size: 9
Checksum: 0808fcca59af0820a1334422752c9e9854e93205e986dd9%ac78d5cdlf8e65a2e

Name : food
Size: 6
Checksum: fff8acd78£7528c143cb5a6971£911d3869368cbcl77£3£4404d945cbaccc08d

# cat /var/lib/pulp/published/https/isos/zoo-iso-2/PULP_MANIFEST
food, 0808fccab59%9af0820al1334422752c9e9854e93205e986dd9%ac78d5cdlf8e65a2e, 9
food, £££f8acd78£7528¢c143¢cb5a6971£911d3869368cbcl77£3£f4404d945¢c6accc08d, 6

Related issues:
Copied from RPM Support - Issue #4892: ISO repo copy can lead to a duplicates...

CLOSED - CURRENTRELEASE

History

#1 - 06/10/2019 02:34 PM - bherring

- Copied from Issue #4892: ISO repo copy can lead to a duplicates in a target repo and corrupted manifest added

#2 - 06/13/2019 03:58 PM - bherring
- Status changed from NEW to ASSIGNED

- Assignee set to bherring

#3 - 06/25/2019 01:18 PM - ttereshc
- Sprint/Milestone set to 2.20.0

#4 - 06/25/2019 08:45 PM - bherring
- Status changed from ASSIGNED to MODIFIED

#5 - 09/12/2019 01:33 PM - bherring
- Status changed from MODIFIED to CLOSED - COMPLETE

Automation was completed on this work, but it wasn't easy to maintain.

Opted for manual testing, which was completed.
